#
# spec file for package ghc-epub-metadata
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name epub-metadata
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        4.5
Release:        lp150.1.2
Summary:        Library for parsing epub document metadata
License:        BSD-3-Clause
Group:          Development/Libraries/Haskell
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  chrpath
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hxt-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-regex-compat-tdfa-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-utf8-string-devel
BuildRequires:  ghc-zip-archive-devel
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
%endif

%description
Library for parsing and manipulating epub document metadata. Supports epub
versions 2 and 3. This library was constructed by studying the IDPF
specifications for epub documents found here
<http://www.idpf.org/epub/20/spec/OPF_2.0.1_draft.htm> and here
<http://www.idpf.org/epub/30/spec/epub30-publications.html>.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Haskell
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install
%ghc_fix_rpath %{pkg_name}-%{version}

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE
%{_bindir}/epub-metadata-example

%files devel -f %{name}-devel.files
%doc README.md TODO.md changelog.md doc

%changelog
* Wed Dec 26 2018 psimons@suse.com
- Add epub-metadata at version 4.5.
